TransactionStats (Oracle - Berkeley DB Java API)
Date: 2010-04-12

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class TransactionStats

    java.lang.Object
      com.sleepycat.db.TransactionStats

    public class TransactionStats

extends Object

Transaction statistics for a database environment.

Nested Class Summary
`static class` | `TransactionStats.Active`

Method Summary
`LogSequenceNumber` | `getLastCkp()` TODO
`int` | `getLastTxnId()` TODO
`int` | `getMaxNactive()` TODO
`int` | `getMaxNsnapshot()` TODO
`int` | `getMaxTxns()` TODO
`long` | `getNaborts()` TODO
`int` | `getNactive()` TODO
`long` | `getNumBegins()` TODO
`long` | `getNumCommits()` TODO
`int` | `getNumRestores()` TODO
`int` | `getNumSnapshot()` TODO
`long` | `getRegionNowait()` TODO
`long` | `getRegionWait()` TODO
`int` | `getRegSize()` TODO
`long` | `getTimeCkp()` TODO
`TransactionStats.Active[]` | `getTxnarray()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getNumRestores

    public int getNumRestores()

  TODO

### getLastCkp

    public LogSequenceNumber getLastCkp()

  TODO

### getTimeCkp

    public long getTimeCkp()

  TODO

### getLastTxnId

    public int getLastTxnId()

  TODO

### getMaxTxns

    public int getMaxTxns()

  TODO

### getNaborts

    public long getNaborts()

  TODO

### getNumBegins

    public long getNumBegins()

  TODO

### getNumCommits

    public long getNumCommits()

  TODO

### getNactive

    public int getNactive()

  TODO

### getNumSnapshot

    public int getNumSnapshot()

  TODO

### getMaxNactive

    public int getMaxNactive()

  TODO

### getMaxNsnapshot

    public int getMaxNsnapshot()

  TODO

### getTxnarray

    public TransactionStats.Active[] getTxnarray()

### getRegionWait

    public long getRegionWait()

  TODO

### getRegionNowait

    public long getRegionNowait()

  TODO

### getRegSize

    public int getRegSize()

  TODO

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2009 Oracle. All rights reserved.